Loading...
Searching...
No Matches
itk::OpenCLProfilingTimeProbe Class Reference

`#include <itkOpenCLProfilingTimeProbe.h>`

## Detailed Description

Computes the time passed between two points in code.

See also
  TimeProbe

Definition at line 34 of file itkOpenCLProfilingTimeProbe.h.

## Public Member Functions

| OpenCLProfilingTimeProbe (const std::string &message)
| ~OpenCLProfilingTimeProbe ()

## Private Attributes

std::string | m_ProfilingMessage
TimeProbe | m_Timer

## Constructor & Destructor Documentation

## OpenCLProfilingTimeProbe()

itk::OpenCLProfilingTimeProbe::OpenCLProfilingTimeProbe | ( | const std::string & | message | ) |

Constructor

## ~OpenCLProfilingTimeProbe()

itk::OpenCLProfilingTimeProbe::~OpenCLProfilingTimeProbe | ( |  | ) |

Destructor

## Field Documentation

## m_ProfilingMessage

std::string itk::OpenCLProfilingTimeProbe::m_ProfilingMessage

private

Definition at line 45 of file itkOpenCLProfilingTimeProbe.h.

## m_Timer

TimeProbe itk::OpenCLProfilingTimeProbe::m_Timer

private

Definition at line 44 of file itkOpenCLProfilingTimeProbe.h.

Generated on 1768596610 for elastix by 1.15.0 |